# MumbleServer::Ban

## Overview

### struct Ban

A single ip mask for a ban.

#### Used By

BanList

## Data Member Index

address
  Address to ban.
bits
  Number of bits in ban to apply.
name
  Username associated with ban.
hash
  Hash of banned user.
reason
  Reason for ban.
start
  Date ban was applied in unix time format.
duration
  Duration of ban.

## Data Members

NetAddress address;

  Address to ban.

int bits;

  Number of bits in ban to apply.

string name;

  Username associated with ban.

string hash;

  Hash of banned user.

string reason;

  Reason for ban.

int start;

  Date ban was applied in unix time format.

int duration;

  Duration of ban.